org.apache.tamaya.model

## Enum ValidationState

- java.lang.Object
- - java.lang.Enum<ValidationState>
  - - org.apache.tamaya.model.ValidationState

- All Implemented Interfaces:
    Serializable, Comparable<ValidationState>

      public enum ValidationState
      extends Enum<ValidationState>

  Enum type describing the different validation results supported.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DEPRECATED` The validated item is deprecated.
    `ERROR` The validated item has an invalid value.
    `MISSING` A required parameter or section is missing.
    `UNDEFINED` The given section or parameter is not a defined/validated item.
    `VALID` The validated item is valid
    `WARNING` The validated item is correct, but the value is worth a warning.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ValidationState` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ValidationState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### VALID

          public static final ValidationState VALID

      The validated item is valid

    - #### DEPRECATED

          public static final ValidationState DEPRECATED

      The validated item is deprecated.

    - #### WARNING

          public static final ValidationState WARNING

      The validated item is correct, but the value is worth a warning.

    - #### UNDEFINED

          public static final ValidationState UNDEFINED

      The given section or parameter is not a defined/validated item. It may be still valid, but typically, when validation is fully implemented, such a parametr or section should be removed.

    - #### MISSING

          public static final ValidationState MISSING

      A required parameter or section is missing.

    - #### ERROR

          public static final ValidationState ERROR

      The validated item has an invalid value.

  - ### Method Detail

    - #### values

          public static ValidationState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ValidationState c : ValidationState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ValidationState valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014–2016 Apache Software Foundation. All rights reserved.